HierarchyEntityController Methods |
The HierarchyEntityController type exposes the following members.
| Name | Description | |
|---|---|---|
| AddLevel | POST /HierarchyEntity/Level/
Adds a level to the hierarchy.
| |
| ConfigureAttributeHierarchies | POST /HierarchyEntity/ConfigureAttributes/{id}
Configures the attribute hierarchies associated with the specified hierarchy.
| |
| DeleteLevel | DELETE /HierarchyEntity/Level/
Deletes the given level.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GenerateHierarchy | POST /HierarchyEntity/Generate
Generates a hierarchy from the given options.
| |
| GenerateRaggedHierarchy | POST /HierarchyEntity/RaggedHierarchy
Generates a ragged hierarchy from the given options.
| |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetHierarchy | GET /HierarchyEntity/
Gets a hierarchy.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| ReplaceHierarchyLevel | POST /HierarchyEntity/ReplaceLevel/{id}
Replaces the given relational level.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| RestoreUndoFrame | POST /HierarchyEntity/RestoreUndoFrame/{id}
Restores the hierarchy to the given undo frame ID.
| |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| UpdateHierarchy | PUT /HierarchyEntity/
Updates the given hierarchy.
| |
| UpdateLevel | PUT /HierarchyEntity/Level/
Updates the given level.
| |
| UpdateRaggedHierarchy | PUT /HierarchyEntity/RaggedHierarchy/{id}
Updates the ragged hierarchy by ID.
|